Package it.ernytech.tdlib

## Class TdApi.UpdateNewChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewChat

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewChat
    extends TdApi.Update

A new chat has been loaded/created. This update is guaranteed to come before the chat identifier is returned to the client. The chat field changes will be reported through separate updates.

### Field Summary

Fields
`TdApi.Chat` `chat` The chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`UpdateNewChat()` Default constructor.
`UpdateNewChat​(TdApi.Chat chat)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chat

    public TdApi.Chat chat

The chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewChat

    public UpdateNewChat()

Default constructor.

#### UpdateNewChat

    public UpdateNewChat​(TdApi.Chat chat)

Constructor for initialization of all fields.

Parameters:
  `chat` - The chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR